<?php

declare(strict_types=1);

namespace Drupal\symfony_http_client;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderInterface;

/**
 * Service provider for Symfony Http Client.
 */
final class SymfonyHttpClientServiceProvider implements ServiceProviderInterface {

  public function register(ContainerBuilder $container): void {
    $container
      ->addCompilerPass(new SymfonyHttpClientCompilerPass());
  }

}
